Name: pacemaker-cloud
Summary: The Pacemaker Cloud Policy Engine
Version: 0.5.0
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Base
URL: http://github.com/cloud-policy-engine
Source0: http://pacemaker-cloud.org/downloads/%{name}-%{version}/%{name}-%{version}.tar.gz

Requires: python-daemon python-qmf qpid-cpp-server
Requires: oz > 0.5.0-1

# Note libtool-ltdl-devel is required because of redhat.com bugzilla BZ #705212
BuildRequires: autoconf automake glib2-devel dbus-glib-devel libxml2-devel libqb-devel pacemaker-libs-devel libtool-ltdl-devel qmf-devel libxslt-devel systemd-units libmicrohttpd-devel libcurl-devel

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure --libdir=%{_libdir}

make %{_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# this is installed by make install - but rpm picks it up in a different way
rm -f %{buildroot}/usr/share/doc/pacemaker-cloud/COPYING
rm -f %{buildroot}/etc//init/pcloud-dped.conf

%description
This package contains the Pacemaker Cloud Policy Engine services, command-line
tools, and man pages.

%post
if [ $1 -eq 1 ] ; then
	systemctl --system daemon-reload || :
fi

%preun
if [ $1 -eq 0 ]; then
	systemctl --system daemon-reload || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/cped
%{_sbindir}/dped
%{_sysconfdir}/sysconfig/pacemaker-cloud
%{_unitdir}/pcloud-dped@.service
%{_unitdir}/pcloud-cped.service
%{_unitdir}/pcloud-vmlauncher.service
%{_unitdir}/pcloud-qpidd.service
%dir %attr(0755, root, root) %{_datadir}/pacemaker-cloud
%{_datadir}/pacemaker-cloud/cf2pe.xsl
%{_datadir}/pacemaker-cloud/resource_templates/
%dir %attr(0755, root, root) %{_localstatedir}/lib/pacemaker-cloud/
%dir %attr(0755, root, root) %{_localstatedir}/lib/pacemaker-cloud/assemblies
%dir %attr(0755, root, root) %{_localstatedir}/lib/pacemaker-cloud/jeos
%{_localstatedir}/lib/pacemaker-cloud/assemblies/assy1.tdl
%{_localstatedir}/lib/pacemaker-cloud/assemblies/assy1-F14.tdl
%{_localstatedir}/lib/pacemaker-cloud/assemblies/assy1-F15.tdl
%{_localstatedir}/lib/pacemaker-cloud/assemblies/assy1-F16.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/F14-x86_64-jeos-assembly.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/F14-x86_64-jeos.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/F15-x86_64-jeos-assembly.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/F15-x86_64-jeos.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/F16-x86_64-jeos-assembly.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/F16-x86_64-jeos.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/rhel61-x86_64-jeos-assembly.tdl
%{_localstatedir}/lib/pacemaker-cloud/jeos/rhel61-x86_64-jeos.tdl
%{_bindir}/pcloudsh
%{_bindir}/vmlauncher
%{python_sitelib}/pcloudsh/*
%{_mandir}/man1/cped.1*
%{_mandir}/man1/dped.1*
%{_mandir}/man1/vmlauncher.1*
%{_mandir}/man1/pcloudsh.1*
%{_mandir}/man8/pacemaker_cloud_overview.8*
%{_mandir}/man8/pacemaker_cloud_example.8*

%changelog
* Tue Nov 8 2011 Steven Dake <sdake@redhat.com> - 0.5.0-1
- New upstream release.
- Added F16 guest support.

* Wed Jul 27 2011 Steven Dake <sdake@redhat.com> - 0.4.1-1
- Added systemd-units to BuildRequres 

* Tue Jul 26 2011 Steven Dake <sdake@redhat.com> - 0.4.0-1
- Initial rpm specfile created by upstrem project 
